## r-cran-visnetwork 2.1.2+ds

=== DESCRIPTION ===
Package: visNetwork
Title: Network Visualization using 'vis.js' Library
Version: 2.1.2
Authors@R: c(
    person(family = "Almende B.V. and Contributors", role = c("aut", "cph"),
       comment = "vis.js library in htmlwidgets/lib, https://visjs.org/, https://github.com/visjs/vis-network"),
    person("Benoit", "Thieurmel", role = c("aut", "cre"),
       comment = "R interface", email = "bthieurmel@gmail.com")
    )
Maintainer: Benoit Thieurmel <bthieurmel@gmail.com>
Description: Provides an R interface to the 'vis.js' JavaScript charting
    library. It allows an interactive visualization of networks.
BugReports: https://github.com/datastorm-open/visNetwork/issues
URL: https://datastorm-open.github.io/visNetwork/
Depends: R (>= 3.0)
Imports: htmlwidgets, htmltools, jsonlite, magrittr, utils, methods,
        grDevices, stats
License: MIT + file LICENSE
Suggests: knitr, rmarkdown, webshot, igraph, rpart, shiny,
        shinyWidgets, colourpicker, sparkline, ggraph, tidygraph,
        flashClust
VignetteBuilder: knitr, rmarkdown
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2022-09-29 06:10:20 UTC; BenoitThieurmel
Author: Almende B.V. and Contributors [aut, cph] (vis.js library in
    htmlwidgets/lib, https://visjs.org/,
    https://github.com/visjs/vis-network),
  Benoit Thieurmel [aut, cre] (R interface)
Repository: CRAN
Date/Publication: 2022-09-29 16:20:02 UTC

## r-cran-visnetwork 2.0.5

=== debian/changelog ===
r-cran-visnetwork (2.0.5-1) UNRELEASED; urgency=medium

  * Initial release (closes: #xxxxxx)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 21 Feb 2019 06:32:07 -0800

=== debian/control ===
Source: r-cran-visnetwork
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-htmlwidgets,
               r-cran-htmltools,
               r-cran-jsonlite,
               r-cran-magrittr
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-visnetwork
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-visnetwork.git
Homepage: https://cran.r-project.org/package=visNetwork

Package: r-cran-visnetwork
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Network Visualization using 'vis.js' Library
 Provides an R interface to the 'vis.js' JavaScript charting
 library. It allows an interactive visualization of networks.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,r-cran-nleqslv
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/visNetwork_([-\d.]*)\.tar\.gz

## r-cran-visnetwork 2.1.0+ds

=== debian/changelog ===
r-cran-visnetwork (2.1.0+ds-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  Set upstream metadata fields: Bug-Submit.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 07 Jun 2024 11:24:54 +0200

r-cran-visnetwork (2.1.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #986236)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 16 Apr 2024 15:26:44 +0200

=== debian/control ===
Source: r-cran-visnetwork
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-visnetwork
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-visnetwork.git
Homepage: https://cran.r-project.org/package=visNetwork
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-htmlwidgets,
               r-cran-htmltools,
               r-cran-jsonlite,
               r-cran-magrittr,
               libjs-prettify,
               libjs-filesaver,
               fonts-font-awesome
Testsuite: autopkgtest-pkg-r

Package: r-cran-visnetwork
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-bootstrap,
         libjs-jquery,
         fonts-font-awesome
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Network Visualization using 'vis.js' Library
 Provides an R interface to the 'vis.js' JavaScript charting
 library. It allows an interactive visualization of networks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

execute_after_dh_installdocs:
	for html in `find debian -name "*.html"` ; do \
	    echo $${html}; sed -i \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/smooth-scroll/12.1.5/js/smooth-scroll.min.js#file:///usr/lib/R/site-library/visNetwork/smooth-scroll/smooth-scroll.js#g' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/.*/css/bootstrap\.min\.css#file:///usr/share/javascript/bootstrap/css/bootstrap.min.css#g' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/.*/js/bootstrap.min.js#file:///usr/share/javascript/bootstrap/js/bootstrap.min.js#g' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/jquery/.*/jquery.min.js#file:///usr/share/javascript/jquery/jquery.min.js#g' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/Tipue-Search/5.0.0/tipuesearch.min.js#file:///usr/lib/R/site-library/visNetwork/tipue-search/tipuesearch.js#g' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/Tipue-Search/5.0.0/tipuesearch.css#file:///usr/lib/R/site-library/visNetwork/tipue-search/tipuesearch.css#g' \
		-e '/\/oss.maxcdn.com\/html5shiv\//d' \
		-e '/\/oss.maxcdn.com\/respond\//d' \
		    $${html} ; \
	done

execute_before_dh_auto_configure:
	rm -Rf inst/htmlwidgets/lib/fontawesome_4.7.0
	ln -s /usr/share/fonts-font-awesome/ inst/htmlwidgets/lib/fontawesome_4.7.0

execute_after_dh_auto_install:
	rm -Rf debian/r-cran-visnetwork/usr/lib/R/site-library/visNetwork/htmlwidgets/lib/fontawesome_4.7.0
	ln -s /usr/share/fonts-font-awesome/ debian/r-cran-visnetwork/usr/lib/R/site-library/visNetwork/htmlwidgets/lib/fontawesome_4.7.0
	find debian/r-cran-visnetwork -name 'LICENSE*' -delete

## r-cran-visnetwork 2.1.2%2Bds

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,r-cran-nleqslv
#,r-cran-shiny,r-cran-igraph
Restrictions: allow-stderr

## r-cran-visnetwork 2.1.2+ds

=== debian/changelog ===
r-cran-visnetwork (2.1.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 09 Oct 2024 10:32:18 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-visnetwork
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-visnetwork.git
 Homepage: https://cran.r-project.org/package=visNetwork
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/visNetwork_([-\d.]*)\.tar\.gz

## r-cran-visnetwork 2.1.4+ds

=== debian/changelog ===
r-cran-visnetwork (2.1.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Refresh patches
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Feb 2026 22:59:51 +0900

=== debian/control ===
Source: r-cran-visnetwork
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Michael R. Crusoe <crusoe@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-htmlwidgets,
 r-cran-htmltools,
 r-cran-jsonlite,
 r-cran-magrittr,
 libjs-prettify,
 libjs-filesaver,
 fonts-font-awesome,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-visnetwork
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-visnetwork.git
Homepage: https://cran.r-project.org/package=visNetwork
Rules-Requires-Root: no

Package: r-cran-visnetwork
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
 libjs-bootstrap,
 libjs-jquery,
 fonts-font-awesome,
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Network Visualization using 'vis.js' Library
 Provides an R interface to the 'vis.js' JavaScript charting
 library. It allows an interactive visualization of networks.
